Subject: bug#39360: Add :extend attribute to show-paren-mode expression face

From: Stephen Berman <[email-masked]>
Date: Fri, 31 Jan 2020 17:07:04 +0100

On Fri, 31 Jan 2020 09:52:25 -0500 Clément Pit-Claudel <[email-masked]> wrote:

> On 2020-01-31 02:38, Eli Zaretskii wrote:
>>> From: Clément Pit-Claudel <[email-masked]>
>>> Date: Thu, 30 Jan 2020 16:08:50 -0500
[...]
>>> I might have missed discussions about this; is there a reason why :extend t
>>> isn't the default?
>> 
>> Because the whole idea of introducing :extend was that almost all
>> faces don't need this attribute.
>
> I see.  The new default looks weird to me, but I'm sure I'll get used to it.

What also looks weird and infelicitous to me is that a nonextending
background color face on multiple lines shows up on the empty space at
the beginning of a line, i.e., it appears to extend into this space, see
attached screenshot.  I think this only happens with white space
characters, not with lines indented e.g. with wrap-prefix.  It would be
nice to treat all "empty" space the same in this respect.

Steve Berman